## gate.util
Class NoSuchObjectException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--gate.util.GateException
                        |
                        +--gate.util.NoSuchObjectException

All Implemented Interfaces:
  Serializable

public class NoSuchObjectException
extends GateException

Raised when there is an attempt to read an inexistant object from the database(i.e. when an invalid object ID occurs).

See Also:
  Serialized Form

Constructor Summary
`NoSuchObjectException()`
`NoSuchObjectException(String s)`

Methods inherited from class gate.util.GateException
`printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoSuchObjectException

    public NoSuchObjectException()

### NoSuchObjectException

    public NoSuchObjectException(String s)